package com.house365.ws.dao.mapper;

import com.house365.beans.entity.PropertyReportEntity;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author Created by Administrator on 2020/4/16.
 */
@Repository
public interface PropertyReportMapper {

    Integer save(PropertyReportEntity entity);

    PropertyReportEntity getById(int id);

    void update(PropertyReportEntity entity);

    void updateUrl(Map<String, Object> map);

    void updateSendStatus(Map<String, Object> map);

    List<PropertyReportEntity> queryByConditions(Map<String, Object> map);

    List<Map<String, Object>> queryList(Map<String, Object> map);

    int queryCount(Map<String, Object> map);
}
